Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.core
Class SampledStatisticsImpl

    java.lang.Object
      org.quartz.listeners.SchedulerListenerSupport
          org.quartz.core.SampledStatisticsImpl

All Implemented Interfaces:
  SampledStatistics, JobListener, SchedulerListener

    public class SampledStatisticsImpl

extends SchedulerListenerSupport
implements SampledStatistics, JobListener, SchedulerListener

Method Summary
`void` | `clearStatistics()` Clears the collected statistics.
`long` | `getJobsCompletedMostRecentSample()`
`long` | `getJobsExecutingMostRecentSample()`
`long` | `getJobsScheduledMostRecentSample()`
`String` | `getName()` Get the name of the `JobListener`.
`void` | `jobAdded(JobDetail jobDetail)` Called by the ``Scheduler`` when a ``JobDetail`` has been added.
`void` | `jobDeleted(String jobName, String groupName)` Called by the ``Scheduler`` when a ``JobDetail`` has been deleted.
`void` | `jobExecutionVetoed(JobExecutionContext context)` Called by the ``Scheduler`` when a ``JobDetail`` was about to be executed (an associated ``Trigger`` has occurred), but a ``TriggerListener`` vetoed it's execution.
`void` | `jobScheduled(Trigger trigger)` Called by the ``Scheduler`` when a ``JobDetail`` is scheduled.
`void` | `jobToBeExecuted(JobExecutionContext context)` Called by the ``Scheduler`` when a ``JobDetail`` is about to be executed (an associated ``Trigger`` has occurred).
`void` | `jobWasExecuted(JobExecutionContext context, JobExecutionException jobException)` Called by the ``Scheduler`` after a ``JobDetail`` has been executed, and be for the associated `Trigger`'s `triggered(xx)` method has been called.
`void` | `shutdown()`

Methods inherited from class org.quartz.listeners.SchedulerListenerSupport
`getLog, jobsPaused, jobsResumed, jobUnscheduled, schedulerError, schedulerInStandbyMode, schedulerShutdown, schedulerShuttingdown, schedulerStarted, triggerFinalized, triggersPaused, triggersResumed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.quartz.SchedulerListener
`jobsPaused, jobsResumed, jobUnscheduled, schedulerError, schedulerInStandbyMode, schedulerShutdown, schedulerShuttingdown, schedulerStarted, triggerFinalized, triggersPaused, triggersResumed`

Method Detail

### shutdown

    public void shutdown()

  Specified by:
    `shutdown` in interface `SampledStatistics`

### clearStatistics

    public void clearStatistics()

  Clears the collected statistics. Resets all counters to zero

### getJobsCompletedMostRecentSample

    public long getJobsCompletedMostRecentSample()

  Specified by:
    `getJobsCompletedMostRecentSample` in interface `SampledStatistics`

### getJobsExecutingMostRecentSample

    public long getJobsExecutingMostRecentSample()

  Specified by:
    `getJobsExecutingMostRecentSample` in interface `SampledStatistics`

### getJobsScheduledMostRecentSample

    public long getJobsScheduledMostRecentSample()

  Specified by:
    `getJobsScheduledMostRecentSample` in interface `SampledStatistics`

### getName

    public String getName()

  Description copied from interface: `JobListener`

  Get the name of the `JobListener`.

  Specified by:
    `getName` in interface `JobListener`

### jobScheduled

    public void jobScheduled(Trigger trigger)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``JobDetail`` is scheduled.

  Specified by:
    `jobScheduled` in interface `SchedulerListener`
  Overrides:
    `jobScheduled` in class `SchedulerListenerSupport`

### jobExecutionVetoed

    public void jobExecutionVetoed(JobExecutionContext context)

  Description copied from interface: `JobListener`

  Called by the ``Scheduler`` when a ``JobDetail`` was about to be executed (an associated ``Trigger`` has occurred), but a ``TriggerListener`` vetoed it's execution.

  Specified by:
    `jobExecutionVetoed` in interface `JobListener`
  See Also:
    `JobListener.jobToBeExecuted(JobExecutionContext)`

### jobToBeExecuted

    public void jobToBeExecuted(JobExecutionContext context)

  Description copied from interface: `JobListener`

  Called by the ``Scheduler`` when a ``JobDetail`` is about to be executed (an associated ``Trigger`` has occurred).

  This method will not be invoked if the execution of the Job was vetoed by a ``TriggerListener``.

  Specified by:
    `jobToBeExecuted` in interface `JobListener`
  See Also:
    `JobListener.jobExecutionVetoed(JobExecutionContext)`

### jobWasExecuted

    public void jobWasExecuted(JobExecutionContext context,
                               JobExecutionException jobException)

  Description copied from interface: `JobListener`

  Called by the ``Scheduler`` after a ``JobDetail`` has been executed, and be for the associated `Trigger`'s `triggered(xx)` method has been called.

  Specified by:
    `jobWasExecuted` in interface `JobListener`

### jobAdded

    public void jobAdded(JobDetail jobDetail)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``JobDetail`` has been added.

  Specified by:
    `jobAdded` in interface `SchedulerListener`
  Overrides:
    `jobAdded` in class `SchedulerListenerSupport`

### jobDeleted

    public void jobDeleted(String jobName,
                           String groupName)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``JobDetail`` has been deleted.

  Specified by:
    `jobDeleted` in interface `SchedulerListener`
  Overrides:
    `jobDeleted` in class `SchedulerListenerSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2012, Terracotta, Inc.